/* palm.css */

@font-face {
  font-family: 'Product Sans';
  font-style: normal;
  font-weight: 400;
  src: local('Open Sans'), local('OpenSans'), url(https://fonts.gstatic.com/s/productsans/v5/HYvgU2fE2nRJvZ5JFAumwegdm0LZdjqr5-oayXSOefg.woff2) format('woff2');
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Product Sans', sans-serif;
    background-color: rgba(10,10,10,255);
    color: rgba(255,255,255,0.5);
}

#googleai{
    width: 10em;
    
}

#big{
    text-align: center;
    color: #5cb85c;
    position: relative;
    font-weight: 5;
    
}

#sep{
    border-color: rgba(255,255,255,0.7);
    
}

#ai_txt{
    color: rgba(255,255,255,1);
    
}

#usermsg{
  text-align:right !important;
}

#ai{
    
    min-height: 50vh;
    width: 90; 
    margin: 0px ; /*Center*/
    padding: 20px;
    background-color: rgba(255,255,255,0.05);
    border-radius: 20px;
    
    position: relative;
    z-index: 1;  
}

#qna{
        min-height: 50vh;
    width: 90; 
    margin: 0px ;
    padding: 20px;
    background-color: rgba(255,255,255,0.05);
    border-radius: 20px;
    
    position: relative;
    z-index: 1; 
    
}

.chat-container {
    min-height: 50vh;
    width: 90; 
    margin: 0px ; /* Center the chat-container */
    padding: 20px;
    background-color: #000000;
    border-radius: 10px;
    
    position: relative;
    z-index: 1;
}

.chat {
    margin-bottom: 10px;
}

.chat p {
    margin: 0;
    padding: 10px;
    border-radius: 8px;
}

.outgoing p {
    background-color: #5cb85c;
    color: #fff;
    text-align: right;
}

.incoming p {
    background-color: #444;
}

.user-input {
    width: 100; 
    height: 10; 
    display: flex;
    background-color: rgba(10,10,10,0);
    padding: 10px;
    bottom: 0;
    
}

#userInput {
    flex-grow: 1;
    padding: 8px;
    border: none;
    border-radius: 5px;
    margin-right: 10px;
    box-shadow: 0 0px 4px rgba(255, 255, 255, 1);
}

#sendBtn {
    background-color: rgba(40,70,50,1);
    color: #fff;
    border: none;
    padding: 8px 15px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease; /* Add transition effect */
}

#sendBtn:hover {
    background-color: rgba(80,80,50,1); /* Darker color on hover */
}

#sendBtn:hover {
    background-color: #4cae4c;
}

#typingContainer {
    display: none;
    background-color: rgba(0, 0, 0, 0);
    padding: 5px;
    margin-left: 20px;
    border-radius: 5px;
    position: relative;
    color: #bdbdbd;
    
    animation: fadeInOut 1s infinite;
}


@keyframes fadeInOut {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

img {
    max-width: 90%;
    border-radius: 20px;
    display: block;
}


